import {EventEmitter2} from 'eventemitter2';

import {PermissionManager} from '../permissions/PermissionManager';
import {WacProxy} from '../wac-proxy/WacProxy';

import {Conference} from './Conference';
import {ConferenceLog} from './ConferenceLog';

export declare class ConferenceManager {
	emitter: EventEmitter2;
	static newInstance(wacProxy: WacProxy, permissionManager: PermissionManager): ConferenceManager;
	createConference(options?: {recording?: boolean}): Promise<Conference>;
	getConferenceLog(): ConferenceLog;
	getDefaultMediaConstraints(): MediaStreamConstraints;
	setDefaultMediaConstraints(defaultMediaConstraints: MediaStreamConstraints): void;
	getCurrentInvitations(): Promise<Conference[]>;
	getConferenceByUri(uri: string): Promise<Conference>;
	getMeetingConference(meetingId: string, password?: string): Promise<Conference>;
	getQuickConference(conferenceId: string): Promise<Conference>;
}
